Index: anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py
===================================================================
--- anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py	(revision 7075)
+++ anuga_work/production/new_south_wales/batemans_bay/Arc_asc2raster_GDA94z56.py	(revision 7076)
@@ -29,13 +29,16 @@
 ##time_dirs = [time_dir1, time_dir2]
 
-time_dir1 = '20090422_151142_run_final_1.0_51436_viz_jgriffin'
-time_dir2 = '20090422_151153_run_final_1.0_58368_viz_jgriffin'
-time_dir3 = '20090422_162054_run_final_0.0_58368_jgriffin'
-time_dir4 = '20090422_162114_run_final_0.0_51436_jgriffin'
-##time_dir5 = '20090323_164755_run_final_0_58286_jgriffin'
-##time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'
+time_dir1 = '20090520_144937_run_final_0.0_58272_jgriffin'
+time_dir2 = '20090520_145453_run_final_0.0_58115_jgriffin'
+time_dir3 = '20090520_145156_run_final_1.0_58272_jgriffin'
+time_dir4 = '20090520_145208_run_final_0.0_51445_jgriffin'
+time_dir5 = '20090520_145510_run_final_0.0_58129_jgriffin'
+time_dir6 = '20090520_145608_run_final_0.0_58226_jgriffin'
+time_dir7 = '20090520_145616_run_final_0.0_58284_jgriffin'
+time_dir8 = '20090520_145700_run_final_0.0_58286_jgriffin'
+time_dir9 = '20090525_093040_run_final_1.0_51445_jgriffin'
 
 
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4]#, time_dir5]#, time_dir6]
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6, time_dir7, time_dir8, time_dir9]
 
 for time_dir in time_dirs:
Index: anuga_work/production/new_south_wales/batemans_bay/export_results_max.py
===================================================================
--- anuga_work/production/new_south_wales/batemans_bay/export_results_max.py	(revision 7075)
+++ anuga_work/production/new_south_wales/batemans_bay/export_results_max.py	(revision 7076)
@@ -29,5 +29,5 @@
 ##time_dirs = [time_dir1, time_dir2]#, time_dir3]
 
-time_dir1 = '20090517_072159_run_final_0_51436_jgriffin'
+time_dir1 = '20090520_145700_run_final_0.0_58286_jgriffin'
 ##time_dir2 = '20081211_162311_run_final_0_27255_alpha0.1_kvanputt'
 ##time_dir3 = '20081211_162346_run_final_0_68693_alpha0.1_kvanputt'
@@ -63,5 +63,5 @@
 
 # one or more key strings from var_equations above
-var = ['elevation']#, 'stage', 'speed','depth']
+var = ['depth', 'speed','stage']
 
 ######
@@ -93,5 +93,5 @@
 
             name1 = join(directory, time_dir, project.scenario_name)
-##            name2 = join(directory, time_dir, project.scenario_name)+'_time_6310_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_37860_0'
 ##            name3 = join(directory, time_dir, project.scenario_name)+'_time_12620_0'
 ##            name4 = join(directory, time_dir, project.scenario_name)+'_time_18930_0'
@@ -105,5 +105,5 @@
             
 
-            names = [name1]#, name2, name3,name4,name5,name6,name7,name8,name9,name10]
+            names = [name1, name2]#, name3,name4,name5,name6,name7,name8,name9,name10]
       
             asc_name = []   
Index: anuga_work/production/new_south_wales/batemans_bay/prepare_data_AUS197.py
===================================================================
--- anuga_work/production/new_south_wales/batemans_bay/prepare_data_AUS197.py	(revision 7075)
+++ 	(revision )
@@ -1,72 +1,0 @@
-#def prepare_data(file_in):
-"""This script reads .grd files containing Lidar data and
-converts to csv/txt format as required for ANUGA.
-This script also creates file_list.csv, a list of the
-files that have been created (all txt files in the working directory).
-"""
-from Numeric import array, zeros, Float, allclose
-from Scientific.IO.NetCDF import NetCDFFile
-from Numeric import array
-#import project
-import os
-from os import sep
-import csv
-import glob, fnmatch
-
-#folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/original_reference_data/GosfordLidar/Ground/'
-folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/original_reference_data/bathymetry/Offshore/'
-
-
-#input_grd = glob.glob(folder + '*.grd')
-input_grd = [folder+ 'AUS197_MGA_LAT_1972.txt']
-
-for file_in in input_grd:
-    #boundary_csv = file_in
-    out_file = file_in[:-12] + 'AHD_1972.txt'
-    print 'Creating', out_file
-
-
-    # Read the grd file
-    fid = open(file_in)
-
-    # Skip first line
-    line = fid.readline()
-
-    # Read remaining lines
-    lines = fid.readlines()
-    fid.close()
-    
-
-    N = len(lines)
-    X = zeros(N, Float)  #eastin
-    Y = zeros(N, Float)  #northing
-    Z = zeros(N, Float)  #elevation
-    
-
-    for i, line in enumerate(lines):
-        fields = line.split(',')
-
-        X[i] = float(fields[1])  #easting
-        Y[i] = float(fields[2])  #northing
-        Z[i] = float(fields[3])+1.0  #elevation
-   
-
-
-    # Create new csv file
-    outwriter = csv.writer(open(out_file,'w'))
-    outwriter.writerow(['x','y','elevation'])
-    for i, line in enumerate(lines):
-        outwriter.writerow([X[i], Y[i], Z[i]])
-
-##filelist = []
-##filelist_file = folder+'file_list2.csv'
-##
-### Create csv file of filenames
-##outwriter2 = csv.writer(open(filelist_file,'w'))
-##
-##for file in os.listdir(folder):
-##    if fnmatch.fnmatch(file, '*.txt'):
-##        outwriter2.writerow([file])
-##
-
-
Index: anuga_work/production/new_south_wales/batemans_bay/prepare_data_ENT5CIS.py
===================================================================
--- anuga_work/production/new_south_wales/batemans_bay/prepare_data_ENT5CIS.py	(revision 7075)
+++ 	(revision )
@@ -1,72 +1,0 @@
-#def prepare_data(file_in):
-"""This script reads .grd files containing Lidar data and
-converts to csv/txt format as required for ANUGA.
-This script also creates file_list.csv, a list of the
-files that have been created (all txt files in the working directory).
-"""
-from Numeric import array, zeros, Float, allclose
-from Scientific.IO.NetCDF import NetCDFFile
-from Numeric import array
-#import project
-import os
-from os import sep
-import csv
-import glob, fnmatch
-
-#folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/original_reference_data/GosfordLidar/Ground/'
-folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/original_reference_data/bathymetry/Bathy_LiDAR/'
-
-
-input_grd = glob.glob(folder + '*AHD.txt')
-#input_grd = [folder+ '*AHD.txt']
-
-for file_in in input_grd:
-    #boundary_csv = file_in
-    out_file = file_in[:-4] + '_prepared.txt'
-    print 'Creating', out_file
-
-
-    # Read the grd file
-    fid = open(file_in)
-
-    # Skip first line
-    line = fid.readline()
-
-    # Read remaining lines
-    lines = fid.readlines()
-    fid.close()
-    
-
-    N = len(lines)
-    X = zeros(N, Float)  #eastin
-    Y = zeros(N, Float)  #northing
-    Z = zeros(N, Float)  #elevation
-    
-
-    for i, line in enumerate(lines):
-        fields = line.split(',')
-
-        X[i] = float(fields[1])  #easting
-        Y[i] = float(fields[2])  #northing
-        Z[i] = float(fields[16])  #elevation
-   
-
-
-    # Create new csv file
-    outwriter = csv.writer(open(out_file,'w'))
-    outwriter.writerow(['x','y','elevation'])
-    for i, line in enumerate(lines):
-        outwriter.writerow([X[i], Y[i], Z[i]])
-
-##filelist = []
-##filelist_file = folder+'file_list2.csv'
-##
-### Create csv file of filenames
-##outwriter2 = csv.writer(open(filelist_file,'w'))
-##
-##for file in os.listdir(folder):
-##    if fnmatch.fnmatch(file, '*.txt'):
-##        outwriter2.writerow([file])
-##
-
-
Index: anuga_work/production/new_south_wales/batemans_bay/prepare_data_hydro.py
===================================================================
--- anuga_work/production/new_south_wales/batemans_bay/prepare_data_hydro.py	(revision 7075)
+++ 	(revision )
@@ -1,72 +1,0 @@
-#def prepare_data(file_in):
-"""This script reads .grd files containing Lidar data and
-converts to csv/txt format as required for ANUGA.
-This script also creates file_list.csv, a list of the
-files that have been created (all txt files in the working directory).
-"""
-from Numeric import array, zeros, Float, allclose
-from Scientific.IO.NetCDF import NetCDFFile
-from Numeric import array
-#import project
-import os
-from os import sep
-import csv
-import glob, fnmatch
-
-#folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/original_reference_data/GosfordLidar/Ground/'
-folder = '//nas/gemd/georisk_models/inundation/data/new_south_wales/gosford_tsunami_scenario_2009/anuga/topographies/original/'
-
-
-#input_grd = glob.glob(folder + '*.grd')
-input_grd = [folder+ 'hydro.txt']
-
-for file_in in input_grd:
-    #boundary_csv = file_in
-    out_file = file_in[:-4] + '_neg.txt'
-    print 'Creating', out_file
-
-
-    # Read the grd file
-    fid = open(file_in)
-
-    # Skip first line
-    line = fid.readline()
-
-    # Read remaining lines
-    lines = fid.readlines()
-    fid.close()
-    
-
-    N = len(lines)
-    X = zeros(N, Float)  #eastin
-    Y = zeros(N, Float)  #northing
-    Z = zeros(N, Float)  #elevation
-    
-
-    for i, line in enumerate(lines):
-        fields = line.split(',')
-
-        X[i] = float(fields[0])  #easting
-        Y[i] = float(fields[1])  #northing
-        Z[i] = -1*abs(float(fields[2]))  #elevation
-   
-
-
-    # Create new csv file
-    outwriter = csv.writer(open(out_file,'w'))
-    outwriter.writerow(['x','y','elevation'])
-    for i, line in enumerate(lines):
-        outwriter.writerow([X[i], Y[i], Z[i]])
-
-##filelist = []
-##filelist_file = folder+'file_list2.csv'
-##
-### Create csv file of filenames
-##outwriter2 = csv.writer(open(filelist_file,'w'))
-##
-##for file in os.listdir(folder):
-##    if fnmatch.fnmatch(file, '*.txt'):
-##        outwriter2.writerow([file])
-##
-
-