Index: /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py	(revision 7082)
+++ /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py	(revision 7082)
@@ -0,0 +1,86 @@
+# ---------------------------------------------------------------------------
+# This python script is an ArcGIS script that can only be run on a computer
+# with and ArcGIS licence and version 2.4.1 python.
+# This script is designed to read in .asc files and deliever rasters with
+# projection (GDA94z50) held in a file geodatabase (called raster)
+# written by Kristy Van Putten and Ross Wilson
+# ---------------------------------------------------------------------------
+
+# Import system modules
+import sys, string, os, arcgisscripting, glob, os.path
+
+# Create the Geoprocessor object
+gp = arcgisscripting.create()
+
+# Check out any necessary licenses
+gp.CheckOutExtension("spatial")
+
+# Load required toolboxes...
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
+gp.overwriteoutput = 1
+
+scenario_dir = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\hobart_tsunami_scenario_2009\\"
+output_dir="anuga\\outputs\\"
+
+time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+
+time_dirs = [time_dir1] #, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+ 
+for time_dir in time_dirs:
+    # Local variables...
+    folder = scenario_dir + output_dir + time_dir + '\\'
+    raster_gbd = folder + 'raster.gdb'
+    land_folder = scenario_dir + "ArcGIS\\data.gdb\\Land"
+    areas = ['Hobart', 'NW', 'South']
+    print time_dir
+
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
+
+    gp.Workspace = raster_gbd
+
+    for area in areas:
+        #replication dictionary
+        replicate = (('hobart', ''), ('fitting_problem', ''),
+                     ('_', ''), ('max','_M'), ('depth','_depth'),
+                     ('speed', '_speed_'), ('elevation', '_ele_'), ('stage','_stage'))
+
+        generate_filename = []
+
+        infile = folder + 'hobart_' + area + '_elevation.asc'
+                
+        output_DEM = os.path.basename(infile)[:-4]
+        for (key, rep) in replicate:
+            output_DEM = output_DEM.replace(key,rep)
+        output_DEM = output_DEM[:16]
+        if output_DEM in generate_filename:
+            print 'Output_DEM filename (%s) already in use' % output_DEM
+            sys.exit(10)
+        generate_filename.append(output_DEM)
+        print 'Output DEM ',output_DEM
+       
+        print 'Process: ASCII to Raster'
+        gp.ASCIIToRaster_conversion(infile, output_DEM, "FLOAT")
+
+        print 'Process: Define Projection' 
+        gp.DefineProjection_management(output_DEM,"PROJCS['GDA_1994_MGA_Zone_55',GEOGCS['GCS_GDA_1994',DATUM['D_GDA_1994'"
+                                       ",SPHEROID['GRS_1980',6378137.0,298.257222101]],PRIMEM['Greenwich',0.0]"
+                                       ",UNIT['Degree',0.0174532925199433]],PROJECTION['Transverse_Mercator']"
+                                       ",PARAMETER['False_Easting',500000.0],PARAMETER['False_Northing',10000000.0]"
+                                       ",PARAMETER['Central_Meridian',147.0],PARAMETER['Scale_Factor',0.9996]"
+                                       ",PARAMETER['Latitude_Of_Origin',0.0],UNIT['Meter',1.0]]")
+
+        land = land_folder + '_' + area
+        print 'Process: Extract by Mask'
+        output_extract = output_DEM + '_E'
+        print 'Output Extract ',output_extract
+        gp.ExtractByMask_sa(output_DEM, land, output_extract)
+
+
Index: /anuga_work/production/hobart_2009/Inundation_polygon.py
===================================================================
--- /anuga_work/production/hobart_2009/Inundation_polygon.py	(revision 7082)
+++ /anuga_work/production/hobart_2009/Inundation_polygon.py	(revision 7082)
@@ -0,0 +1,75 @@
+# ---------------------------------------------------------------------------
+# Inundation_line.py
+# Created on: Tue May 12 2009 01:50:45 PM
+#   (generated by ArcGIS/ModelBuilder)
+# Usage: Inundation_line <Bun_depth_M_E> <Bus_depth_M_E> <bunbury_1km> <busselton_1km> 
+# ---------------------------------------------------------------------------
+
+# Import system modules
+import sys, string, os, arcgisscripting, glob
+
+# Create the Geoprocessor object
+gp = arcgisscripting.create()
+gp.overwriteoutput = 1
+
+# Set the necessary product code
+gp.SetProduct("ArcInfo")
+
+# Check out any necessary licenses
+gp.CheckOutExtension("spatial")
+
+# Load required toolboxes...
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Analysis Tools.tbx")
+
+# Script arguments...
+time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+
+community = 'hobart'
+scenario = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\" + community +"_tsunami_scenario_2009\\"
+output_folder = scenario + "anuga\\outputs\\"
+
+
+for time_dir in time_dirs:
+    print "time_dir = ",time_dir
+    raster = output_folder + time_dir + "\\raster.gdb\\"
+    
+    # Local variables...
+    locations = ['Hobart', 'NW', 'South']
+    # polygon clip
+    extent = scenario + "ArcGIS\\data.gdb\\PriorityAreasHobart"
+    # name of rasters
+    for location in locations:
+        depth = raster + location +'_depth_M_E'
+        depth_raster = depth
+
+        # Local variables...
+        Output_raster = raster +"Temp_raster_"+ location
+        Output_polygon_features = raster +"Temp_polygon_"+ location
+        Output_Feature_Class = raster +"Temp_line_"+ location
+        Reclassification = "0 0.05 NODATA;0.05 4.5840001106262207 1"
+        Inundation = raster + "Inundation_" + location + "_polygon"
+        Inundation_line = raster + "Inundation_line"
+          
+        print 'Process: Reclassify'
+        gp.Reclassify_sa(depth, "Value", Reclassification, Output_raster, "DATA")
+        
+        print 'Process: Raster to Polygon'
+        gp.RasterToPolygon_conversion(Output_raster, Output_polygon_features, "SIMPLIFY", "VALUE")
+
+        print 'Process: Clip'
+        gp.Clip_analysis(Output_polygon_features, extent, Inundation, "")
+
+        print 'Process: Delete'
+        gp.Delete_management(Output_raster, "RasterDataset")
+        gp.Delete_management(Output_polygon_features, "FeatureClass")
+
Index: /anuga_work/production/hobart_2009/export_results_max.py
===================================================================
--- /anuga_work/production/hobart_2009/export_results_max.py	(revision 7081)
+++ /anuga_work/production/hobart_2009/export_results_max.py	(revision 7082)
@@ -21,14 +21,12 @@
 
 directory = project.output_folder
-time_dir1 = '20090420_153539_run_final_0_58274_kvanputt'
-time_dir2 = '20090420_153654_run_final_0_58279_kvanputt'
-time_dir3 = '20090420_153739_run_final_0_58281_kvanputt'
-time_dir4 = '20090420_153826_run_final_0_58078_kvanputt'
-time_dir5 = '20090330_093828_run_final_0_58292_kvanputt'
-time_dir6 = '20090504_123724_run_final_0_58282_small_kvanputt'
-time_dir7 = '20090504_124158_run_final_0_58068_small_kvanputt'
+time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
 
-time_dirs = [time_dir6, time_dir7]
-#time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5]
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
   
 
@@ -43,5 +41,5 @@
 ######
 
-area = ['SArms', 'Bruny']  # strings must match keys in var_equations below
+area = ['Hobart', 'NW', 'South']  # strings must match keys in var_equations below
 #area = ['All']      # 'All' means no special areas - the whole thing
 
@@ -57,5 +55,5 @@
 
 # one or more key strings from var_equations above
-var = ['depth', 'speed']
+var = ['speed']
 
 ######
@@ -86,11 +84,11 @@
         for time_dir in time_dirs:
             name1 = join(directory, time_dir, project.scenario_name)
-            name2 = join(directory, time_dir, project.scenario_name)+'_time_22680_0'
-            name3 = join(directory, time_dir, project.scenario_name)+'_time_45360_0'
-            name4 = join(directory, time_dir, project.scenario_name)+'_time_68040_0'
+            name2 = join(directory, time_dir, project.scenario_name)+'_time_16980_0'
+            name3 = join(directory, time_dir, project.scenario_name)+'_time_33960_0'
+            name4 = join(directory, time_dir, project.scenario_name)+'_time_50940_0'
             
-            names = [name1] #, name2, name3, name4]
+            names = [name1, name2, name3, name4]
       
-##            asc_name = []   
+            asc_name = []   
                
             for name in names:
@@ -113,10 +111,10 @@
                             format = 'asc')
 
-##                asc_name.append(outname + '.asc')
-##    
-##            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
-##
-##            print 'max asc outname ', maxasc_outname
-##            print 'asc_name ', str(asc_name)
-##            
-##            MaxAsc(maxasc_outname, asc_name)
+                asc_name.append(outname + '.asc')
+    
+            maxasc_outname = join(directory, time_dir, project.scenario_name)+'_'+which_area+'_'+which_var+'_max.asc'
+
+            print 'max asc outname ', maxasc_outname
+            print 'asc_name ', str(asc_name)
+            
+            MaxAsc(maxasc_outname, asc_name)
Index: /anuga_work/production/hobart_2009/fitting_problem.py
===================================================================
--- /anuga_work/production/hobart_2009/fitting_problem.py	(revision 7082)
+++ /anuga_work/production/hobart_2009/fitting_problem.py	(revision 7082)
@@ -0,0 +1,193 @@
+"""This scripts recreates fitting problem where values seem to go towards zero
+in areas with missing data.
+"""
+from os.path import join
+from anuga.utilities.polygon import read_polygon
+from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf
+from anuga.shallow_water.data_manager import dem2pts
+from anuga.geospatial_data.geospatial_data import Geospatial_data
+from anuga.interface import create_domain_from_regions
+from anuga.interface import Reflective_boundary
+
+import project, os
+import sys
+from anuga.shallow_water.data_manager import start_screen_catcher
+from anuga.shallow_water.data_manager import copy_code_files
+from anuga.shallow_water.data_manager import convert_dem_from_ascii2netcdf, dem2pts
+from anuga.shallow_water.data_manager import sww2dem
+from os import sep
+
+# Application specific imports
+from setup_model import project   # Definition of file names and polygons
+
+
+#-------------------------------------------------------------------------------
+# Setup
+#-------------------------------------------------------------------------------
+
+scenario_name = 'fitting_problem_' + project.extent
+combined_elevation_basename = join(project.combined_elevation, 'original') + '_' + scenario_name 
+combined_elevation = combined_elevation_basename + '.pts'
+
+# Initial bounding polygon for data clipping 
+bounding_polygon = read_polygon(join(project.polygons_folder, project.extent)+'.csv')
+
+output_run = join(project.output_folder, project.run_time) + scenario_name
+
+#-------------------------------------------------------------------------------
+# Copy scripts to time stamped output directory and capture screen
+# output to file. Copy script must be before screen_catcher
+#-------------------------------------------------------------------------------
+copy_code_files(output_run, __file__, 
+                os.path.join(os.path.dirname(project.__file__),
+                             project.__name__+'.py'))
+start_screen_catcher(output_run, 0, 1)
+
+#-----------------------------------------------------------------------------
+# Preparation of topographic data
+#
+# Convert ASC 2 DEM 2 PTS using source data and store result in source data
+# Do for coarse and fine data
+# Fine pts file to be clipped to area of interest
+#-----------------------------------------------------------------------------
+
+print 'bounding_polygon', bounding_polygon
+print 'combined_elevation_basename', combined_elevation_basename
+if not os.path.exists(combined_elevation):
+ 
+    # Create Geospatial data from ASCII files
+    geospatial_data = {}
+    topographies_folder = join(project.topographies_folder, 'original')
+    if not project.ascii_grid_filenames == []:
+        for filename in project.ascii_grid_filenames:
+            absolute_filename = join(topographies_folder, filename)
+            convert_dem_from_ascii2netcdf(absolute_filename,
+                                          basename_out=absolute_filename,
+                                          use_cache=True,
+                                          verbose=True)
+            dem2pts(absolute_filename, use_cache=True, verbose=True)
+
+            G_grid = Geospatial_data(file_name=absolute_filename+'.pts',
+                                                        verbose=True)
+            print 'Clip geospatial object'
+            geospatial_data[filename] = G_grid.clip(bounding_polygon)
+
+    # Create Geospatial data from TXT files
+    if not project.point_filenames == []:
+        for filename in project.point_filenames:
+            absolute_filename = join(topographies_folder, filename)
+            G_points = Geospatial_data(file_name=absolute_filename,
+                                                        verbose=True)
+            print 'Clip geospatial object'
+            geospatial_data[filename] = G_points.clip(bounding_polygon)
+
+
+    #------------------------------------------------------------------------------
+    # Combine, clip and export dataset 
+    #------------------------------------------------------------------------------
+
+    print 'Add geospatial objects'
+    G = None
+    for key in geospatial_data:
+        G += geospatial_data[key]
+                    
+    print 'Export combined DEM file'
+    G.export_points_file(combined_elevation_basename + '.pts')
+
+    print 'Do txt version too'
+    # Use for comparision in ARC
+    G.export_points_file(combined_elevation_basename + '.txt')
+
+
+#------------------------------------------------------------------------------
+# Create ANUGA mesh and fit
+#------------------------------------------------------------------------------
+
+tags = {'x': range(len(bounding_polygon))} # All segments tagged the same
+domain = create_domain_from_regions(bounding_polygon,
+                                    boundary_tags=tags,
+                                    maximum_triangle_area=project.extent_maxarea,
+                                    interior_regions=project.interior_regions,
+                                    mesh_filename=project.meshes[:-4] + '_' + scenario_name + '.msh',
+                                    use_cache=True,
+                                    verbose=True)
+print domain.statistics()
+
+
+domain.set_name(scenario_name)
+domain.set_datadir(output_run) 
+domain.set_minimum_storable_height(0.01)    # Don't store depth less than 1cm
+
+#------------------------------------------------------------------------------
+# Setup initial conditions
+#------------------------------------------------------------------------------
+
+print 'Setup initial conditions'
+domain.set_quantity('stage', 0.0)
+domain.set_quantity('friction', 0.01)
+domain.set_quantity('elevation', 
+                    filename=combined_elevation_basename+'.pts',
+                    use_cache=True,
+                    verbose=True,
+                    alpha=0.1)
+
+#------------------------------------------------------------------------------
+# Setup boundary conditions 
+#------------------------------------------------------------------------------
+
+print 'Set boundary - available tags:', domain.get_boundary_tags()
+Br = Reflective_boundary(domain)
+domain.set_boundary({'x': Br}) 
+
+#-----------------------------------------------------------------------------
+# Take a few steps
+#-----------------------------------------------------------------------------
+
+
+for t in domain.evolve(yieldstep=1, 
+                       finaltime=3): 
+    print domain.timestepping_statistics()
+    print domain.boundary_statistics(tags='x')
+
+print 'Done'
+
+
+#-----------------------------------------------------------------------------
+# Exporting Grid
+# Define allowed variable names and associated equations to generate values.
+# This would not normally change.
+#-----------------------------------------------------------------------------
+var_equations = {'stage':     'stage',
+                 'momentum':  '(xmomentum**2 + ymomentum**2)**0.5',
+                 'depth':     'stage-elevation',
+                 'speed':     '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-6)',
+                 'elevation': 'elevation' }
+
+# one or more key strings from var_equations above
+var = ['elevation']
+
+######
+# Start running the various conversions we require.
+######
+
+for which_var in var:
+    if which_var not in var_equations:
+        print 'Unrecognized variable name: %s' % which_var
+        break
+    
+    name = join(output_run, scenario_name)
+    outname = name + '_' + which_var
+    quantityname = var_equations[which_var]
+
+    print 'start sww2dem: name=%s' % name
+    
+    sww2dem(name, basename_out = outname,
+                quantity = quantityname,
+                timestep = 0,
+                cellsize = 10,    
+                reduction = max, 
+                verbose = True,
+                format = 'asc')
+
+
+
Index: /anuga_work/production/hobart_2009/get_runup.py
===================================================================
--- /anuga_work/production/hobart_2009/get_runup.py	(revision 7082)
+++ /anuga_work/production/hobart_2009/get_runup.py	(revision 7082)
@@ -0,0 +1,59 @@
+# Standard modules
+from os import sep
+import os
+from os.path import dirname, basename
+from os import mkdir, access, F_OK
+from os.path import join
+from anuga.utilities.polygon import read_polygon
+from shutil import copy
+import time
+import sys
+# Related major packages
+from anuga.shallow_water.data_manager import get_maximum_inundation_data
+from anuga.shallow_water.data_manager import csv2polygons
+
+# Application specific imports
+from setup_model import project  # Definition of file names and polygons
+import csv
+directory = project.output_folder
+
+time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+
+polygons, values = csv2polygons(project.images)
+print 'Creating %d highest runup' % len(polygons)
+
+area_dictionary = {}
+for id in polygons:
+    area_dictionary[values[id]] = polygons[id] 
+
+for time_dir in time_dirs:
+    print 'time_dir ',time_dir
+    basename = join(directory, time_dir, project.scenario_name)
+
+    out_file = basename+'_runup.csv'
+    output_file = open(out_file, 'w')
+    s = 'area,q,x,y\n' 
+    output_file.write(s)
+     
+
+    for which_area in values.itervalues():
+        print 'which_area = %s' % which_area
+        polygon = area_dictionary[which_area]
+        
+        q, loc = get_maximum_inundation_data(basename+'.sww',
+                                             polygon=polygon, verbose=True)
+
+        print '%s, %.6f, %.6f, %.6f\n' %(str(which_area), q, loc[0],loc[1])
+        s = '%s, %.6f, %.6f, %.6f\n' %(str(which_area), q, loc[0],loc[1])
+
+        output_file.write(s)
+
+        print 'output file printed to: %s' %out_file
+    output_file.close()
Index: /anuga_work/production/hobart_2009/get_timeseries.py
===================================================================
--- /anuga_work/production/hobart_2009/get_timeseries.py	(revision 7082)
+++ /anuga_work/production/hobart_2009/get_timeseries.py	(revision 7082)
@@ -0,0 +1,39 @@
+"""
+Generate time series of nominated "gauges".
+Input: sww file from run_perth.py
+       gauges project.gauge_filename
+Output: csv files stage,speed,depth,elevation over time
+Stored in the 'outputs_dir' folder for respective .sww file
+
+Note:
+Can run different sww files at the same time
+make sure if there is a second sww file that it is placed into a folder called sww2
+Can run different gauges at the same time - ie testing boundary index point
+"""
+
+from os import sep, rename, listdir, system
+from os.path import join
+from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
+import project
+
+directory = project.output_folder
+
+time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+
+time_dirs = [time_dir1, time_dir2] #, time_dir3, time_dir4, time_dir5, time_dir6]
+  
+print 'time directories', time_dirs
+
+for time_dir in time_dirs:
+    name = join(directory,time_dir,project.scenario_name)
+    gauge = project.gauges
+    sww2csv_gauges(name+'.sww',gauge,
+                   quantities = ['stage','speed','depth','elevation'],
+                   verbose=True)
+  
+
Index: /anuga_work/production/hobart_2009/project.py
===================================================================
--- /anuga_work/production/hobart_2009/project.py	(revision 7081)
+++ /anuga_work/production/hobart_2009/project.py	(revision 7082)
@@ -128,5 +128,5 @@
 # Used in get_timeseries.py.  
 # Format easting,northing,name,elevation (with header)
-gauges_filename = 'tsunamipointsMGA.csv'
+gauges_filename = 'time_of_arrival.csv' #'TideGaugesPoints.csv' #'tsunamipointsMGA.csv'
 
 # BUILDINGS EXPOSURE - for identifying inundated houses
@@ -134,4 +134,8 @@
 # Format latitude,longitude etc (geographic)
 building_exposure_filename = 'busselton_res_clip.csv' # from NEXIS
+
+# AREA OF IMAGES - Extent of each image to find out highest runup
+# Used in get_runup.py
+images_filename = 'images.csv'
 
 # BOUNDING POLYGON - used in build_boundary.py and run_model.py respectively
@@ -173,4 +177,22 @@
 yminSArms = 5237028
 ymaxSArms = 5238465
+
+# ASCII export grid for Hobart Large
+xminHobart = 520000
+xmaxHobart = 545000
+yminHobart = 5230000
+ymaxHobart = 5260000
+
+# ASCII export grid for North West Communities
+xminNW = 548000
+xmaxNW = 561000
+yminNW = 5250000
+ymaxNW = 5258000
+
+# ASCII export grid for South Communities
+xminSouth = 523000
+xmaxSouth = 533300
+yminSouth = 5197000
+ymaxSouth = 5214000
 
 
@@ -273,4 +295,10 @@
     building_exposure = join(gauges_folder, building_exposure_filename)
 
+# The absolute pathname for the image file
+# Used for get_runup.py
+if images_filename:
+    images = join(polygons_folder, images_filename)
+
+
 # full path to where MUX files (or meta-files) live
 mux_input = join(event_folder, mux_input_filename)
Index: /anuga_work/production/hobart_2009/setup_model.py
===================================================================
--- /anuga_work/production/hobart_2009/setup_model.py	(revision 7081)
+++ /anuga_work/production/hobart_2009/setup_model.py	(revision 7082)
@@ -154,5 +154,5 @@
 project.interior_regions = []
 
-if not project.PriorityArea_filename == None:
+if project.PriorityArea_filename is not None:
     polygons, maxareas = csv2polygons(project.PriorityAreas)
     print 'Creating %d internal polygons' % len(polygons)