Index: /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py	(revision 7083)
+++ /anuga_work/production/hobart_2009/Arc_Inundation_polygon.py	(revision 7083)
@@ -0,0 +1,74 @@
+# ---------------------------------------------------------------------------
+# Inundation_line.py
+# Created on: Tue May 12 2009 01:50:45 PM
+#   (generated by ArcGIS/ModelBuilder)
+# Usage: Inundation_line <Bun_depth_M_E> <Bus_depth_M_E> <bunbury_1km> <busselton_1km> 
+# ---------------------------------------------------------------------------
+
+# Import system modules
+import sys, string, os, arcgisscripting, glob
+
+# Create the Geoprocessor object
+gp = arcgisscripting.create()
+gp.overwriteoutput = 1
+
+# Set the necessary product code
+gp.SetProduct("ArcInfo")
+
+# Check out any necessary licenses
+gp.CheckOutExtension("spatial")
+
+# Load required toolboxes...
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Analysis Tools.tbx")
+
+# Script arguments...
+model = 'hobart'
+scenario_folder ="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\" + model + "_tsunami_scenario_2009\\"
+output_folder = "anuga\\outputs\\"
+
+time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+
+for time_dir in time_dirs:
+    print "time_dir = ",time_dir
+    raster = output_folder + time_dir + "\\raster.gdb\\"
+    
+    # Local variables...
+    locations = ['Hobart', 'NW', 'South']
+    # polygon clip
+    extent = scenario_folder + "ArcGIS\\data.gdb\\PriorityAreasHobart"
+    # name of rasters
+    for location in locations:
+        depth = raster + location +'_depth_M_E'
+        depth_raster = depth
+
+        # Local variables...
+        Output_raster = raster +"Temp_raster_"+ location
+        Output_polygon_features = raster +"Temp_polygon_"+ location
+        Output_Feature_Class = raster +"Temp_line_"+ location
+        Reclassification = "0 0.05 NODATA;0.05 4.5840001106262207 1"
+        Inundation = raster + "Inundation_" + location + "_polygon"
+        Inundation_line = raster + "Inundation_line"
+          
+        print 'Process: Reclassify'
+        gp.Reclassify_sa(depth, "Value", Reclassification, Output_raster, "DATA")
+        
+        print 'Process: Raster to Polygon'
+        gp.RasterToPolygon_conversion(Output_raster, Output_polygon_features, "SIMPLIFY", "VALUE")
+
+        print 'Process: Clip'
+        gp.Clip_analysis(Output_polygon_features, extent, Inundation, "")
+
+        print 'Process: Delete'
+        gp.Delete_management(Output_raster, "RasterDataset")
+        gp.Delete_management(Output_polygon_features, "FeatureClass")
+
Index: /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py	(revision 7082)
+++ /anuga_work/production/hobart_2009/Arc_asc2raster_GDA94z55.py	(revision 7083)
@@ -22,6 +22,7 @@
 gp.overwriteoutput = 1
 
-scenario_dir = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\hobart_tsunami_scenario_2009\\"
-output_dir="anuga\\outputs\\"
+model = 'hobart'
+scenario_dir="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\" + model + "_tsunami_scenario_2009\\"
+output_dir = "anuga\\outputs\\"
 
 time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
@@ -55,5 +56,5 @@
         generate_filename = []
 
-        infile = folder + 'hobart_' + area + '_elevation.asc'
+        infile = folder + model + '_' + area + '_elevation.asc'
                 
         output_DEM = os.path.basename(infile)[:-4]
Index: /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py
===================================================================
--- /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py	(revision 7083)
+++ /anuga_work/production/hobart_2009/Arc_txt2feature_class_runup.py	(revision 7083)
@@ -0,0 +1,55 @@
+# ---------------------------------------------------------------------------
+# txt2fc_field.py
+# Created on: Thu Nov 27 2008 01:48:26 PM
+#   (generated by ArcGIS/ModelBuilder)
+# ---------------------------------------------------------------------------
+
+# Import system modules
+import sys, string, os, arcgisscripting, glob, os.path
+
+# Create the Geoprocessor object
+gp = arcgisscripting.create()
+
+# Load required toolboxes...
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
+gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
+gp.overwriteoutput = 1
+
+model = 'hobart'
+scenario_folder="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\" + model + "_tsunami_scenario_2009\\"
+output_folder = "anuga\\outputs\\"
+
+time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
+time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
+time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
+time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
+time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
+time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
+
+time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
+
+for time_dir in time_dirs:
+    print time_dir
+    # Local variables...
+    folder =  scenario_folder + output_folder + time_dir + '\\'
+    runup = model + '_runup'
+    input_dir_name = folder+ runup +'.csv'
+    raster = folder + "raster.gdb"
+    layer = 'layer'
+
+##    print 'Process: Create File GDB'
+##    gp.CreateFileGDB_management(folder, "raster")
+
+    print 'Process: Make XY Event Layer'
+    gp.MakeXYEventLayer_management(input_dir_name, "x", "y", layer, "PROJCS['GDA_1994_MGA_Zone_49',GEOGCS['GCS_GDA_1994',DATUM['D_GDA_1994'"
+                                       ",SPHEROID['GRS_1980',6378137.0,298.257222101]],PRIMEM['Greenwich',0.0]"
+                                       ",UNIT['Degree',0.0174532925199433]],PROJECTION['Transverse_Mercator']"
+                                       ",PARAMETER['False_Easting',500000.0],PARAMETER['False_Northing',10000000.0]"
+                                       ",PARAMETER['Central_Meridian',111.0],PARAMETER['Scale_Factor',0.9996]"
+                                       ",PARAMETER['Latitude_Of_Origin',0.0],UNIT['Meter',1.0]]")
+
+    print 'Process: Feature Class to Feature Class'
+    gp.FeatureClassToFeatureClass_conversion(layer, raster, runup, "", "area area true true false 255 Text 0 0 ,First,#,carnarvon_runup.csv_Features,area,-1,-1;q q true true false 8 Double 0 0 ,First,#,carnarvon_runup.csv_Features,q,-1,-1;x x true true false 8 Double 0 0 ,First,#,carnarvon_runup.csv_Features,x,-1,-1;y y true true false 8 Double 0 0 ,First,#,carnarvon_runup.csv_Features,y,-1,-1", "")
+
+
+  
Index: uga_work/production/hobart_2009/Inundation_polygon.py
===================================================================
--- /anuga_work/production/hobart_2009/Inundation_polygon.py	(revision 7082)
+++ 	(revision )
@@ -1,75 +1,0 @@
-# ---------------------------------------------------------------------------
-# Inundation_line.py
-# Created on: Tue May 12 2009 01:50:45 PM
-#   (generated by ArcGIS/ModelBuilder)
-# Usage: Inundation_line <Bun_depth_M_E> <Bus_depth_M_E> <bunbury_1km> <busselton_1km> 
-# ---------------------------------------------------------------------------
-
-# Import system modules
-import sys, string, os, arcgisscripting, glob
-
-# Create the Geoprocessor object
-gp = arcgisscripting.create()
-gp.overwriteoutput = 1
-
-# Set the necessary product code
-gp.SetProduct("ArcInfo")
-
-# Check out any necessary licenses
-gp.CheckOutExtension("spatial")
-
-# Load required toolboxes...
-gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
-gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
-gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
-gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Analysis Tools.tbx")
-
-# Script arguments...
-time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
-time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
-time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
-time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
-time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
-time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'
-
-time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]
-
-community = 'hobart'
-scenario = "\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\" + community +"_tsunami_scenario_2009\\"
-output_folder = scenario + "anuga\\outputs\\"
-
-
-for time_dir in time_dirs:
-    print "time_dir = ",time_dir
-    raster = output_folder + time_dir + "\\raster.gdb\\"
-    
-    # Local variables...
-    locations = ['Hobart', 'NW', 'South']
-    # polygon clip
-    extent = scenario + "ArcGIS\\data.gdb\\PriorityAreasHobart"
-    # name of rasters
-    for location in locations:
-        depth = raster + location +'_depth_M_E'
-        depth_raster = depth
-
-        # Local variables...
-        Output_raster = raster +"Temp_raster_"+ location
-        Output_polygon_features = raster +"Temp_polygon_"+ location
-        Output_Feature_Class = raster +"Temp_line_"+ location
-        Reclassification = "0 0.05 NODATA;0.05 4.5840001106262207 1"
-        Inundation = raster + "Inundation_" + location + "_polygon"
-        Inundation_line = raster + "Inundation_line"
-          
-        print 'Process: Reclassify'
-        gp.Reclassify_sa(depth, "Value", Reclassification, Output_raster, "DATA")
-        
-        print 'Process: Raster to Polygon'
-        gp.RasterToPolygon_conversion(Output_raster, Output_polygon_features, "SIMPLIFY", "VALUE")
-
-        print 'Process: Clip'
-        gp.Clip_analysis(Output_polygon_features, extent, Inundation, "")
-
-        print 'Process: Delete'
-        gp.Delete_management(Output_raster, "RasterDataset")
-        gp.Delete_management(Output_polygon_features, "FeatureClass")
-